package cn.iocoder.yudao.module.pms.service.alarm;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.pms.controller.admin.alarm.vo.IotAlarmSettingPageReqVO;
import cn.iocoder.yudao.module.pms.controller.admin.alarm.vo.IotAlarmSettingSaveReqVO;
import cn.iocoder.yudao.module.pms.dal.dataobject.alarm.IotAlarmSettingDO;

import javax.validation.Valid;

/**
 * 告警设置 Service 接口
 *
 * @author 超级管理员
 */
public interface IotAlarmSettingService {
    IotAlarmSettingDO getDeviceRange(String deviceCode, String identifier);
    IotAlarmSettingDO saveIotAlarmSetting(@Valid IotAlarmSettingSaveReqVO createReqVO);
    /**
     * 创建告警设置
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createIotAlarmSetting(@Valid IotAlarmSettingSaveReqVO createReqVO);

    /**
     * 更新告警设置
     *
     * @param updateReqVO 更新信息
     */
    void updateIotAlarmSetting(@Valid IotAlarmSettingSaveReqVO updateReqVO);

    /**
     * 删除告警设置
     *
     * @param id 编号
     */
    void deleteIotAlarmSetting(Long id);

    /**
     * 获得告警设置
     *
     * @param id 编号
     * @return 告警设置
     */
    IotAlarmSettingDO getIotAlarmSetting(Long id);

    /**
     * 获得告警设置分页
     *
     * @param pageReqVO 分页查询
     * @return 告警设置分页
     */
    PageResult<IotAlarmSettingDO> getIotAlarmSettingPage(IotAlarmSettingPageReqVO pageReqVO, String ifDevice);

}
